std::tuple_element< N, ::nlohmann::detail::iteration_proxy_value< IteratorType > > Class Template Reference

`#include <json.hpp>`

## Public Types

using | type = decltype(get< N >(std::declval< ::nlohmann::detail::iteration_proxy_value< IteratorType > >()))
using | type = decltype(get< N >(std::declval< ::nlohmann::detail::iteration_proxy_value< IteratorType > >()))

## Member Typedef Documentation

## type [1/2]

template<std::size_t N, typename IteratorType >

using std::tuple_element< N, ::nlohmann::detail::iteration_proxy_value< IteratorType > >::type = decltype( get<N>(std::declval < ::nlohmann::detail::iteration_proxy_value<IteratorType > > ()))

## type [2/2]

template<std::size_t N, typename IteratorType >

using std::tuple_element< N, ::nlohmann::detail::iteration_proxy_value< IteratorType > >::type = decltype( get<N>(std::declval < ::nlohmann::detail::iteration_proxy_value<IteratorType > > ()))

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp